function [S,Pf]=Assemble_S_Pf(S,Pf,K,Qf,MemNum,NEdof,NSdof,CodeNum)
% Again, the order of both input and output parameters must be the same
% here and in the main program, although the specific parameters don't need
% to be named the same, e.g. k1 is K here. We will see later why K is used.
for KRow=1:NEdof
    SRow=CodeNum(MemNum,KRow);
    if SRow<=NSdof
        Pf(SRow)=Pf(SRow)+Qf(KRow);    
        for KCol=1:NEdof
            SCol=CodeNum(MemNum,KCol);
            if SCol<=NSdof
                S(SRow,SCol)=S(SRow,SCol)+K(KRow,KCol);
            end
        end
    end
end